/* ftpq: usage.c

Copyright (C) 2000, 2001 Mark Tranchant

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "ftpq.h"

void usage (void) {

	printf ("\nftpq %1.2f  Copyright 2000, 2001 Mark Tranchant\n\n", VERSION);
	printf ("ADD MODE:\n");
	printf ("  ftpq add [-c config] -h host [-P port] -u userid [-p passwd] [-a account]\n");
	printf ("           [-d remotedir] [-f remotefile] [-s] localfile [...]\n\n");
	printf ("LIST MODE:\n");
	printf ("  ftpq list \n\n");
	printf ("DELETE MODE:\n");
	printf ("  ftpq delete all | jobid [jobid...]\n\n");
	printf ("RUN MODE:\n");
	printf ("  ftpq run [-v] [-r rate]\n\n");
	printf ("HELP MODE:\n");
	printf ("  ftpq [help]\n\n");
	printf ("This program comes with ABSOLUTELY NO WARRANTY and is\n");
	printf ("covered by the GNU Public License (GPL) version 2.\n\n");

}
